package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.CallableStatementFactory;

/**
 * @author higa
 *  
 */
public class DeleteAutoStaticCommand extends AbstractAutoStaticCommand {

	public DeleteAutoStaticCommand(DataSource dataSource,
			CallableStatementFactory callableStatementFactory,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, callableStatementFactory, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new DeleteAutoHandler(getDataSource(),
				getCallableStatementFactory(), getBeanMetaData(),
				getPropertyTypes());
	}
	
	protected void setupSql() {
		setupDeleteSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupDeletePropertyTypes(propertyNames);
		
	}
}